#ifndef CLCD_H
#define CLCD_H

class CLcd
{
    public:
        CLcd(void);
        virtual ~CLcd(void);

        virtual int Initialise(void);
        virtual void Display(int Line, int row, char *Chaine);
		virtual void DisplayScreen(int Line, int row, char* pzBuf);

        static CLcd* Inst(void) { return m_phInst;}

    protected:
        static CLcd* m_phInst;
    private:
		char m_szBufLine1[65];
		char m_szBufLine2[65];
};

#endif // CLCD_H
